---
search:
  tags:
    - Brands V2
    - PATCH
seo:
  description: >-
    Bulk-patches brands by id. Successful entities are returned… Reference for
    the PATCH /api/v2/{team_slug}/{app_slug}/brands endpoint in the Management
    API v2.
sidebar:
  label: Update brands
  badge: PATCH
title: Update brands
type: openapi-operation
---
Bulk-patches brands by id. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/brands`

**Request body** (`application/json`, required)

- `brands` (PatchBrandItem[], required)

Request body example:

```json
{
  "brands": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "description": "string",
      "email": "string",
      "cover_id": "0eeb2f0b-28dd-48c9-bbaf-be203aed31f5",
      "logo_id": "1e12da27-d253-43f5-9f73-dd2101ceac0d",
      "address": {
        "street_address": "string",
        "co_address": "string",
        "city": "string",
        "state_province": "string",
        "house_number": "string",
        "postal_code": "string",
        "country": "string"
      }
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "cover": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "title": "string",
        "url": "string"
      },
      "logo": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "title": "string",
        "url": "string"
      },
      "description": "string",
      "email": "string",
      "address": {
        "street_address": "string",
        "co_address": "string",
        "city": "string",
        "state_province": "string",
        "house_number": "string",
        "postal_code": "string",
        "country": "string"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "series": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string",
          "cover": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "url": "string"
          },
          "logo": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "title": "string",
            "url": "string"
          },
          "description": "string",
          "email": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "translations": {
            "description": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "locale": "string",
                "value": "string"
              }
            ]
          }
        }
      ],
      "translations": {
        "description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      }
    }
  ],
  "errors": [
    {
      "slug": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
